import Canvas from '../src/Canvas.js';
import Image from '../src/Image.js';
/**
 * Generate a canvas object to serve
 * @param {string} manifestId The corresponding manifest's id
 * @param {int|string} name The canvas name 
 */
export default function generateCanvas(manifestId, name) {
	const IIIF_API_VERSION = process.env.IIIF_API_VERSION;
	const BASE_URL = process.env.BASE_URL;

	const canvas = new Canvas(IIIF_API_VERSION, BASE_URL);
	canvas.generateID(manifestId, name);

	const image = new Image(4000, 3000);
	canvas.setThumbnail();
	canvas.addImage(image);

    return canvas.toObject();
}