import IIIFResource from './IIIFResource.js';
/**
 * @implements IIIFResource
 */
class Image {
    /**
     * @var {string} id A URL pointing to the image resource
     */
    id = '';
    type = 'dctypes:Image';
    format = 'image/jpeg';
    height = 0;
    width = 0;
    service = {};

    constructor(height, width) {
        this.height = height;
        this.width = width;
    }
    /**
     * Object representation of
     * image resource
     * @returns {object}
     */
    toObject() {
        return {
            resource : {
                "@id" : this.id,
                "@type" : this.type,
                format: this.format,
                service : this.service,
                height: this.height,
                width: this.width,
            }
        }
    }
}

export default Image;