import IIIFResource from './IIIFResource.js';
import Sequence from "./Sequence.js";
/**
 * @implements IIIFResource
 */
class Manifest {
    id = '';
    type = 'sc:Manifest';
    /**
     * @var {Sequence[]}
     */
    sequences = [];

    constructor(IIIFApiVersion, baseURL) {
        this.context = `http://iiif.io/api/presentation/${IIIFApiVersion}/context.json`;
        this.BASE_URL = baseURL;
    }
    /**
     * @param {Sequence} sequence The Sequence object
     */
    addSequence(sequence) {
        this.sequences.push(sequence.toObject());
    }
    /**
     * @param {string} idParam From the request
     */
    generateID(idParam) {
        this.id = `${this.BASE_URL}/iiif/${idParam}/manifest` ;
    }
    /**
     * Object representation of this
     * manifest
     * 
     * @todo Implement
     * @returns {object}
     */
    toObject() {
        return {
            "@context" : this.context,
            "@id" : this.id,
            "@type" : this.type,
            sequences: this.sequences,
        }
    }
}

export default Manifest;